%define module hid-fanatec

Name:       hid-fanatecff
Version:    0.1.2
Release:    %mkrel 2
Summary:    Improved module driver for Logitech driving wheels
Group:		System/Kernel and hardware
License:    GPLv2
URL:        https://github.com/gotzl/hid-fanatecff
Source:     %{url}/archive/refs/tags/%{version}.tar.gz?/%{name}-%{version}.tar.gz

Requires: dkms
Requires: kernel-devel
Requires: oversteer

BuildArch:	noarch

%description
Linux kernel driver that aims to add support for FANATEC Wheel devices

The Wheel Base should be set to 'PC mode' for the driver to be selected 
(CSL Elite and CSL DD: red LED)
- 0EB7:0E03 FANATEC CSL Elite Wheel Base
- 0EB7:0005 FANATEC CSL Elite Wheel Base PS4
- 0EB7:0020 FANATEC CSL DD / DD Pro / ClubSport DD Wheel Base
- 0EB7:6204 FANATEC CSL Elite Pedals
- (experimental: 0EB7:0001 FANATEC ClubSport Wheel Base V2)
- (experimental: 0EB7:0004 FANATEC ClubSport Wheel Base V2.5)
- (experimental: 0EB7:183b FANATEC ClubSport Pedals V3)
- (experimental: 0EB7:0006 Podium Wheel Base DD1)
- (experimental: 0EB7:0007 Podium Wheel Base DD2)
- (experimental: 0EB7:0011 CSR Elite/Forza Motorsport Wheel Base)

Linux kernel driver that aims to add support for FANATEC devices, 
this use the HID++ protocol and are supported by the HID++ driver 
as of kernel 6.3.

%prep
%autosetup -p1

%install
mkdir -p %{buildroot}/{/usr/src/%{module}-%{version}-%{release},%{_prefix}/lib/udev/rules.d}

cat <<EOF > dkms.conf 
PACKAGE_NAME="%{module}"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="make"
CLEAN="make clean"
BUILT_MODULE_NAME[0]="hid-fanatec"
DEST_MODULE_NAME[0]="hid-fanatec"
DEST_MODULE_LOCATION[0]="/kernel/drivers/hid"
AUTOINSTALL="yes"
EOF

cp -r . %{buildroot}/usr/src/%{module}-%{version}-%{release}
mv %{buildroot}/usr/src/%{module}-%{version}-%{release}/fanatec.rules %{buildroot}/%{_prefix}/lib/udev/rules.d/

rm -f %{buildroot}/usr/src/%{module}-%{version}-%{release}/{README.md,LICENSE}

%files
%doc README.md 
%license LICENSE
%defattr(0644,root,root)
%attr(0755,root,root) /usr/src/%{module}-%{version}-%{release}/
%{_prefix}/lib/udev/rules.d/fanatec.rules

%post
/sbin/dkms add	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
/sbin/dkms build	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
/sbin/dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun
dkms remove  -m %{module} -v %{version}-%{release} --all --rpm_safe_upgrade
true


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.1.2-2.mga10
+ Revision: 2248696
- Mageia 10 Mass Rebuild

* Tue Mar 18 2025 katnatek <katnatek> 0.1.2-1.mga10
+ Revision: 2166200
- Fix summary
- Remove duplicated files
- Use %%autosetup
- add release in dkms.conf
- remove obsolete %%clean section
- Fix License & Descripton
- Add LICENSE & README
- Fix path for udev rule
- imported package hid-fanatecff

